libvpx1_1.3.0-3_amd64.deb


Advertisement

Description

libvpx1 - VP8 and VP9 video codec (shared library)

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libvpx1
Package version: 1.3.0
Package release: 3
Package architecture: amd64
Package type: deb
Installed size: 1.77 KB
Download size: 585.43 KB
Official Mirror: ftp.br.debian.org
VP8 and VP9 are open video codecs, originally developed by On2 and released as open source by Google Inc. They are the successor of the VP3 codec, on which the Theora codec was based. This package contains the shared libraries.

Alternatives

    Download

    Binary package: libvpx1_1.3.0-3_amd64.deb
    Source package: libvpx

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libvpx1 deb package:
      # sudo apt-get install libvpx1

    Files

    • /usr/lib/x86_64-linux-gnu/libvpx.so.1
    • /usr/lib/x86_64-linux-gnu/libvpx.so.1.3
    • /usr/lib/x86_64-linux-gnu/libvpx.so.1.3.0
    • /usr/share/doc/libvpx1/AUTHORS
    • /usr/share/doc/libvpx1/README.gz
    • /usr/share/doc/libvpx1/changelog.Debian.gz
    • /usr/share/doc/libvpx1/changelog.gz
    • /usr/share/doc/libvpx1/copyright

    Changelog

    2014-10-21 - Sebastian Dröge <slomo@debian.org> libvpx (1.3.0-3) unstable; urgency=high * debian/control: + Add VP9 to the short and long package descriptions (Closes: #760095). * debian/patches/vp9-out-of-bounds-access.patch: + Fix out of bounds access in the VP9 codec (CVE-2014-1578) (Closes: #765435).

    2014-08-09 - Matthias Klose <doko@debian.org> libvpx (1.3.0-2.1) unstable; urgency=medium * Non-maintainer upload. * Build using the default GCC. Closes: #751318. * Move doxygen and php5-cli to B-D-I (Peter Pentchev). Closes: #726485. * Build using hardening defaults. Closes: #674570. * Apply bug fix for ssse3 quantize function.

    2014-01-07 - Sebastian Dröge <slomo@debian.org> libvpx (1.3.0-2) unstable; urgency=medium * debian/control, debian/rules: + Build with gcc 4.8 to fix FTBFS on SPARC (Closes: #734445).

    2013-12-17 - Sebastian Dröge <slomo@debian.org> libvpx (1.3.0-1) unstable; urgency=medium * New upstream release, including VP9 support: + debian/patches/fix-armhf-link.patch: - Refresh patch. + debian/rules, debian/libvpx1.symbols: - Update shlibs version and symbols file for API additions.

    2013-05-27 - Sebastian Dröge <slomo@debian.org> libvpx (1.2.0-2) unstable; urgency=low * debian/rules, debian/patches/fix-armhf-link.patch: + Fix build on ARM by using the correct compiler and CFLAGS.

    2013-05-26 - Sebastian Dröge <slomo@debian.org> libvpx (1.2.0-1) unstable; urgency=low * New upstream release. * debian/patches/*: Refreshed to apply cleanly again.

    2012-05-14 - Sebastian Dröge <slomo@debian.org> libvpx (1.1.0-1) unstable; urgency=low * New upstream release, "Eider". * debian/patches/*: Refreshed to apply cleanly again. * debian/rules: Update shlibs version for API additions.

    2012-02-21 - Sebastian Dröge <slomo@debian.org> libvpx (1.0.0-2) unstable; urgency=low * debian/control, debian/libvpx1.install, debian/libvpx-dev.install, debian/rules: + Add support for multi-arch (Closes: #643016). Thanks to Riku Voipio for the patch. * debian/rules, debian/patches/fix-armhf-link.patch: + Add NEON flavor on arm (Closes: #660692). Thanks to Riku Voipio for the patch.

    2012-02-15 - Cyril Brulebois <kibi@debian.org> libvpx (1.0.0-1.1) unstable; urgency=high * Non-maintainer upload. * Drop binaries from the debug package, to stop libvpx0-dbg and libvpx1-dbg from conflicting with each other (Closes: #658453). * Set urgency to “high” for the RC bug fix, to speed up things with packages (involved in other transitions) having picked up a dependency on libvpx1 due to this unannounced transition.

    2012-02-01 - Sebastian Dröge <slomo@debian.org> libvpx (1.0.0-1) unstable; urgency=low * New upstream release, "Duclair": + debian/libvpx1.install, debian/libvpx1.symbols, debian/control, debian/rules: - Update for new soname.

    Advertisement
    Advertisement